# Wyatt's stash of custom containers

These are my custom containers that are for immutable Linux distributions. Since they are mine, they are opinionated and would only probably work for me.

These containers are based on CoreOS, Fedora Linux, and Toolbox so the containers that listed in this repository are speifically tailored for those technologies. However, you may get these containers to work on other technologies as well (with enough elbow grease).

## Base container

The base container serves as the base for every other container in this repository. Installed in this container are `git`, `fish`, some Rust tools like `bat` and `exa`, some C development tools, and normal system administrator tools.

## Language containers

This includes base language containers (with the base container mentioned above) if there's a need to start a project from scratch.

What's included:
- Node.js container
  - Node 20 is available
  - Node 18 is coming soon
- Golang (latest) container
- Rust (latest) container
- .NET container
  - .NET 7 and .NET 8 are included!
- Java container
  - Java 11, 17, 21 are included!
- Kotlin (latest) container

What's on the roadmap:
- Python container
  - 3.12, 3.11, 3.10, and 3.9 will be included
- Julia container
- Lua container
  - Only Lua 5.3 will be included
- Clojure container
- Zig container
- Nim container
- Deno container
- Bun container

## Specialty containers

What's included:
- Wine container

## Contribution

Feel free to send a PR containing a Containerfile (Dockerfile) and tell me what the container does!

## Attribution

Big thanks to the following projects:
- The Fedora Project
- Podman
- Toolbox
